Subject: Re: [PATCH 2/3] Makefile: stop hardcoding {command,config}-list.h

From: Felipe Contreras <[email-masked]>
Date: Thu, 17 Jun 2021 16:58:04 -0500

Ævar Arnfjörð Bjarmason wrote:
> 
> On Thu, Jun 17 2021, Felipe Contreras wrote:
> 
> > Ævar Arnfjörð Bjarmason wrote:
> >> Change various places that hardcode the names of these two files to
> >> refer to either $(GENERATED_H), or to a new generated-hdrs
> >> target.
> >
> > Avoiding hard-coded things is generally a good idea, and I can smell
> > there's an advantage nearby, but it's not stated.
> >
> > Can you spell out what you are trying to achieve?
> 
> It's hinted at in the CL,

Yes, but the commit message should stand on its own.

> but this is series 1/3 of a re-roll of the
> base topic for config-based hooks, real use of this is made in step 2/3,
> 3/3 has a better overview:
> http://lore.kernel.org/git/[email-masked]

Yeah, I read the cover letter afterwards, but I'm just putting my
reviewer cap; the rationale belongs in the commit message: we will want
more generated files in GENERATED_H.

Also, I presume you meant this one:

https://lore.kernel.org/git/[email-masked]/

Cheers.

-- 
Felipe Contreras